document.addEventListener('DOMContentLoaded', function(){
  var button = document.getElementById('add_line');
  var formContainer = document.getElementById('formset-container');
  var totalForms = document.getElementById('id_saleline_set-TOTAL_FORMS');
  button.addEventListener('click', function(){
    var newForm = formContainer.querySelector('.form-container').cloneNode(true);
    var formCount = parseInt(totalForms.value);
    var regex = new RegExp('__prefix__', 'g');
    newForm.innerHTML = newForm.innerHTML.replace(regex, formCount);

    var fields = newForm.querySelectorAll('[id^="id_saleline_set-"], [name^="saleline_set-"]');
    fields.forEach(function(field) {
      var oldId = field.id;
      var oldName = field.name;

      if (oldId) {
        var newId = oldId.replace(/-\d+-/, '-' + formCount + '-');
        field.id = newId;
      }
      if (oldName) {
        var newName = oldName.replace(/-\d+-/, '-' + formCount + '-');
        field.name = newName;
      }
    });

    formContainer.appendChild(newForm);
    totalForms.value = formCount + 1;
    setPriceListeners();
  });
});
