setPriceListeners();

function setPriceListeners() {
    document.querySelectorAll('select[id^="id_saleline_set-"][id$="-product"]').forEach((input) => {
        input.addEventListener('change', (e) => setLinePrice(e));
    });
}

function setLinePrice(e) {
    let input = e.target;
    const idLine = input.id.split('-')[1];
    const productId = input.value;
    const priceInput = document.getElementById(`id_saleline_set-${idLine}-unit_price`);

    const product = listProducts.find((product) => product.id == productId);
    if (product) {
        priceInput.value = product.price_list;
    } else {
        priceInput.value = '';
    }
}

